Monitoring - update Widget
ウィジェットのプロパティまたは構成を更新します
PUT http://<Servername>/OperationsManager/monitoring/widget/{widgetId}
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
widget
|
path | True |
string |
ウィジェット ID を指定します |
要求本文
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| name | True |
string |
コンポーネントの名前 |
| componentType |
string |
コンポーネントの種類 |
|
| config |
string |
コンポーネント構成 |
|
| description |
string |
コンポーネントの説明 |
|
| mpDescription |
string |
MPの説明 |
|
| mpId |
string |
Mp ID |
|
| mpName |
string |
MP名 |
|
| mpVersion |
string |
MPバージョン |
|
| path |
string |
経路 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
boolean |
わかりました。ウィジェット構成が正常に更新されました。 Media Types: "application/json", "text/json", "application/xml", "text/xml" |
例
Monitoring_updateWidget
要求のサンプル
PUT http://<Servername>/OperationsManager/monitoring/widget/36d07f06-f74b-f820-9697-fc6dda6bce4e
{
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"path": "Monitoring",
"name": "test alert widget",
"description": "test",
"config": "{\"widgetDisplay\":{\"col\":1,\"row\":1,\"sizex\":6,\"sizey\":4,\"columns\":[\"severity\",\"monitoringobjectdisplayname\",\"name\",\"repeatcount\",\"lastmodified\"],\"groupByColumn\":\"nogrouping\",\"expandGroupByColumn\":false,\"sortByColumn\":\"nosorting\",\"sortOrder\":1,\"payload\":\"36d07f06-f74b-f820-9697-fc6dda6bce4e\",\"dragHandle\":\".draggable\",\"resizeHandle\":\".resizable\"},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[]},\"criteria\":{\"severities\":[\"0\",\"1\",\"2\"],\"priorities\":[\"0\",\"2\",\"1\"],\"resolutionStates\":[\"0\",\"247\",\"248\",\"249\",\"250\",\"254\",\"255\"],\"age\":7,\"ageTimeUnit\":\"days\"}},\"widgetRefreshInterval\":5}",
"componentType": "HtmlAlertWidget"
}
応答のサンプル
[
"Ok"
]
定義
MonitoringComponentRequest
| 名前 | 型 | 説明 |
|---|---|---|
| componentType |
string |
コンポーネントの種類 |
| config |
string |
コンポーネント構成 |
| description |
string |
コンポーネントの説明 |
| mpDescription |
string |
MPの説明 |
| mpId |
string |
Mp ID |
| mpName |
string |
MP名 |
| mpVersion |
string |
MPバージョン |
| name |
string |
コンポーネントの名前 |
| path |
string |
経路 |